### Function

# GdkX11.x11_get_server_time

#### Declaration [src]

    guint32
    gdk_x11_get_server_time (
      GdkSurface* surface
    )

#### Description [src]

Routine to get the current X server time stamp.

#### Parameters

`surface` | `GdkX11Surface`
| a `GdkSurface`, used for communication with the server. The surface must have GDK_PROPERTY_CHANGE_MASK in its events mask or a hang will result.
| Ownership is not transferred to the callee

#### Return value

Returns: `guint32`
the time stamp.